[PATCH] kernel-doc: don't use XML escapes in text or man output mode

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



From: Randy Dunlap <[email protected]>

For kernel-doc output modes of text and man, do not use XML escapes
for less-than, greater-than, and ampersand characters.  I.e., leave
the text and man output clean and readable.


Signed-off-by: Randy Dunlap <[email protected]>
---
 scripts/kernel-doc |    3 +++
 1 files changed, 3 insertions(+)

--- linux-2617-pv.orig/scripts/kernel-doc
+++ linux-2617-pv/scripts/kernel-doc
@@ -1673,6 +1673,9 @@ sub process_state3_type($$) {
 # replace <, >, and &
 sub xml_escape($) {
 	my $text = shift;
+	if (($output_mode eq "text") || ($output_mode eq "man")) {
+		return $text;
+	}
 	$text =~ s/\&/\\\\\\amp;/g;
 	$text =~ s/\</\\\\\\lt;/g;
 	$text =~ s/\>/\\\\\\gt;/g;


---
-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to [email protected]
More majordomo info at  http://vger.kernel.org/majordomo-info.html
Please read the FAQ at  http://www.tux.org/lkml/

[Index of Archives]     [Kernel Newbies]     [Netfilter]     [Bugtraq]     [Photo]     [Stuff]     [Gimp]     [Yosemite News]     [MIPS Linux]     [ARM Linux]     [Linux Security]     [Linux RAID]     [Video 4 Linux]     [Linux for the blind]     [Linux Resources]
  Powered by Linux